Announcement

Announcement Module
Collapse
No announcement yet.

'libaudit_plugin' installation error?

Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • 'libaudit_plugin' installation error?

    Hi,
    I have error while installing mcafee mysql audit plugin,
    I am using newer version mysql-server-5.5.37,Linux 2.6.39-400.17.1.e16uek.x86_64 #1
    I have getting error as
    SQL Error (1126):can't open shared library '/usr/lib64/mysql/plugin/libaudit_plugin.so'(errno:2 /usr/lib64/mysql/plugin/libaudit_plugin.so:undefined symbol:_cxa_pure_virtual)

    mcafee mysql audit plugin version audit-plugin-mysql-5.5-1.0.2-345-linux-x86_64.
    Any one have recently had this problem please share it really urgent issue in my local environment.
    Thank you

  • #2
    Some tips when using McAfee plugin;

    use recent versions from;
    https://bintray.com/mcafee/mysql-audit-plugin/release

    also Guy Litchman, the author of the tool provides excellent response via github issues if you're having problems. My advice for the immediacy is to try downloading a 1.0.4 release and don't forget to perform the actions required to extract the offsets for the version of Percona Server you're running.

    https://github.com/mcafee/mysql-audi...roubleshooting
    https://github.com/mcafee/mysql-audit/issues

    On another note, there is a new Audit Plugin shipped as a Percona-Server feature. In the version you're using you can follow the directions provided in Alex Rubin's article published recently;
    http://www.mysqlperformanceblog.com/...r-5-5-and-5-6/

    Good luck.
    Last edited by eroomydna; 05-19-2014, 03:02 PM.

    Comment


    • #3
      Sorry for the delay .. Thank you so much ..

      Comment

      Working...
      X